/*
 * write_sign.c
 * 
 * ブートセクターにブートサインを 書き込む
 */


#include<unistd.h>
#include<stdio.h>
#include<fcntl.h>
#include<sys/stat.h>


/*
 * 引数 : ファイル名
 */
int main(int argc,char *argv[])
{
	int fd;
	struct stat stat;
	
	
	if(argc<2){printf("引数が足りません\n");exit(0);}

	/* ファイルサイズを測る */
	if((fd=open(argv[1],O_RDONLY))==-1){printf("ファイル %s が開けません\n",argv[1]);exit(0);}
	fstat(fd,&stat);
	close(fd);

	printf("%d",stat.st_size);
	
	exit(0);
}
